Show / Hide Table of Contents

# Class SocketUser

Represents a WebSocket-based user.

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketUser
SocketGroupUser
SocketGuildUser
SocketSelfUser
SocketUnknownUser
SocketWebhookUser

##### Implements

IUser
ISnowflakeEntity
IEntity<System.UInt64>
IMentionable
IPresence

##### Inherited Members

SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public abstract class SocketUser : SocketEntity<ulong>, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence

### Properties

| Improve this Doc View Source

#### ActiveClients

##### Declaration

    public IImmutableSet<ClientType> ActiveClients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.IImmutableSet<ClientType> |

| Improve this Doc View Source

#### Activity

##### Declaration

    public IActivity Activity { get; }

##### Property Value

Type | Description
--- | ---
IActivity |

| Improve this Doc View Source

#### AvatarId

##### Declaration

    public abstract string AvatarId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### CreatedAt

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset |

| Improve this Doc View Source

#### Discriminator

##### Declaration

    public string Discriminator { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DiscriminatorValue

##### Declaration

    public abstract ushort DiscriminatorValue { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### IsBot

##### Declaration

    public abstract bool IsBot { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWebhook

##### Declaration

    public abstract bool IsWebhook { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Mention

##### Declaration

    public string Mention { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### MutualGuilds

Gets mutual guilds shared with this user.

##### Declaration

    public IReadOnlyCollection<SocketGuild> MutualGuilds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<SocketGuild> |

| Improve this Doc View Source

#### Status

##### Declaration

    public UserStatus Status { get; }

##### Property Value

Type | Description
--- | ---
UserStatus |

| Improve this Doc View Source

#### Username

##### Declaration

    public abstract string Username { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### GetAvatarUrl(ImageFormat, UInt16)

##### Declaration

    public string GetAvatarUrl(ImageFormat format = ImageFormat.Auto, ushort size = 128)

##### Parameters

Type | Name | Description
--- | --- | ---
ImageFormat | format |
System.UInt16 | size |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GetDefaultAvatarUrl()

##### Declaration

    public string GetDefaultAvatarUrl()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GetOrCreateDMChannelAsync(RequestOptions)

##### Declaration

    public Task<IDMChannel> GetOrCreateDMChannelAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IDMChannel> |

| Improve this Doc View Source

#### ToString()

Gets the full name of the user (e.g. Example#0001).

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | The full name of the user.

##### Overrides

System.Object.ToString()

### Implements

IUser
ISnowflakeEntity
IEntity<TId>
IMentionable
IPresence